"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getBabelConfig;

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getBabelConfig() {
  var query = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var result = {};
  var BABELRC_FILE = process.cwd() + '/.babelrc';

  if (query.babel) {
    result = query.babel;
  } else {
    var content = _fs.default.readFileSync(BABELRC_FILE);

    try {
      var config = JSON.parse(content);
      result = config;
    } catch (e) {
      console.error('`.babelrc` config error');
    }
  }

  if (!result.presets && !result.plugins) {
    console.error('please config `.babelrc` or `webpack.config.js` loader query');
  }

  return result;
}

;
module.exports = exports["default"];