"use strict";

var _path = _interopRequireDefault(require("path"));

var _parserHTML = _interopRequireDefault(require("./parserHTML"));

var _loaderUtils = _interopRequireDefault(require("loader-utils"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (content) {
  this.cacheable();

  var query = _loaderUtils.default.parseQuery(this.query);

  var type = query.type;

  var filename = _path.default.basename(this.resourcePath);

  var parts = (0, _parserHTML.default)(content);
  var part = parts[type];
  var output = '';
  var source;

  if (Array.isArray(part)) {
    part = part[query.index];
  }

  if (type !== 'script') {
    output = part.content;
    source = parts;
  } else {
    output = "".concat(query.banner, "\n").concat(part.content || defaultComponent);
  }

  this.callback(null, output, source);
};

var defaultComponent = "\n  export default class extends Component {\n    constructor(props) {\n      super(props);\n    }\n  }\n";