"use strict";

var _consolidate = _interopRequireDefault(require("consolidate"));

var _path = _interopRequireDefault(require("path"));

var _loaderUtils = _interopRequireDefault(require("loader-utils"));

var _HTMLToJSX = _interopRequireDefault(require("./HTMLToJSX"));

var _babelCore = require("babel-core");

var _getBabelConfig = _interopRequireDefault(require("./getBabelConfig"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var converter = new _HTMLToJSX.default();

module.exports = function (source, parseObject) {
  this.cacheable && this.cacheable();
  var callback = this.async();

  var query = _loaderUtils.default.parseQuery(this.query); // no engine default: html


  if (!_consolidate.default[query.engine]) {
    return callback(null, getConvertText(source, parseObject.importLinks, query));
  }

  _consolidate.default[query.engine].render(source, {
    filename: this.resourcePath
  }, function (error, html) {
    return callback(error, getConvertText(html, parseObject.importLinks, query));
  });
};

var getConvertText = function getConvertText(source, links, query) {
  var convert = converter.convert(source);
  var presets = query.presets,
      imports = query.imports;
  var code = "\n    ".concat(query.banner, "\n    ").concat(getElementsImport(links), "\n\n    module.exports = function(styles) {\n      const props = this.props;\n      return ").concat(convert.output, ";\n    };\n  ");
  return (0, _babelCore.transform)(code, (0, _getBabelConfig.default)(query)).code;
};

var getElementsImport = function getElementsImport(links) {
  var result = '';
  links.forEach(function (link) {
    var ext = _path.default.extname(link);

    var name = _path.default.basename(link, ext);

    result += "import ".concat(name, " from '").concat(link, "';\n");
  });
  return result;
};